Bug 498042 - [LTC 6.0 FEAT] AF_IUCV SOCK_SEQPACKET support [201885]
[LTC 6.0 FEAT] AF_IUCV SOCK_SEQPACKET support [201885]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: rc
: ---
Assigned To: Andy Gospodarek
Martin Jenner
: FutureFeature
: 503521 (view as bug list)
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2009-04-28 11:52 EDT by IBM Bug Proxy
Modified: 2010-05-17 12:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-15 09:16:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhel6-af-iucv-datagram.diff (38.41 KB, text/plain)
2009-04-28 11:52 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 52883 None None None Never

  None (edit)
Description IBM Bug Proxy 2009-04-28 11:52:05 EDT
=Comment: #0=================================================
Hans-Georg Markgraf <mgrf@de.ibm.com> - 
1. Feature Overview:
Feature Id:		 [201885]
a. Name of Feature:		 AF_IUCV SOCK_SEQPACKET support
b. Feature Description
Offer AF_IUCV datagram stream-oriented sockets in addition to the existing AF_IUCV byte
stream-oriented sockets man 2 socket: SOCK_SEQPACKET Provides a sequenced, reliable, two-way
connection-based data transmission path for datagrams of fixed maximum length; a consumer is
required to read an entire packet with each input system call. 

2. Feature Details:
Sponsor:		 zSeries
Architectures:	 s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:		 Networking
Request Type:		 Kernel - Enhancement from IBM
d. Upstream Acceptance:		 In Progress
Sponsor Priority		 1
f. Severity: High
IBM Confidential:		 no
Code Contribution:		 IBM code
g. Component Version Target:		 K 2.6.31

3. Business Case
IUCV is an important z/VM communication facility. The Linux AF-IUCV protocol support facilitates
exploitation of IUCV-communication through a socket interface. Enhancing the existing byte
stream-oriented AF-IUCV protocol support in Linux (SOCK_STREAM) to support also fixed max. length
datagram-oriented sockets (SOCK_SEQPACKET) enables applications to benefit from Linux AF_IUCV
sockets, if their socket data to be transferred cannot be fragmented. One such future application in
z/VSE is already identified. In general, this feature improves the close collaboration between Linux
on System z and z/VM in the networking area. 

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
=Comment: #1=================================================
Hans Joachim Picht <hans@linux.vnet.ibm.com> - 

rhel6-af-iucv-datagram.diff

added the patch
Comment 1 IBM Bug Proxy 2009-04-28 11:52:11 EDT
Created attachment 341595 [details]
rhel6-af-iucv-datagram.diff
Comment 3 IBM Bug Proxy 2009-06-02 11:30:53 EDT
------- Comment From mgrf@de.ibm.com 2009-06-02 11:24 EDT-------
*** Bug 53694 has been marked as a duplicate of this bug. ***
Comment 4 Bill Nottingham 2009-06-02 14:50:38 EDT
*** Bug 503521 has been marked as a duplicate of this bug. ***
Comment 5 IBM Bug Proxy 2009-08-11 06:11:04 EDT
------- Comment From mgrf@de.ibm.com 2009-08-11 06:01 EDT-------
The code for this feature is upstream accepted with k 2.6.31
Comment 6 IBM Bug Proxy 2010-05-17 10:55:01 EDT
------- Comment From mgrf@de.ibm.com 2010-05-17 10:45 EDT-------
This feature is verified on R6 beta snapshots - set to verified. Thx

Note You need to log in before you can comment on or make changes to this bug.